<?php

/*******************************************************************************
 * eredeti url: http://www.archlinexp.com/index.php?menu=activate_90_days_active&lang=eng&ser=3977898330182471&pwd=ita
 ******************************************************************************/
include("config.php");

$ser = $_GET['ser'];
$pwd = $_GET['pwd'];

//mysql_query("insert into activations2 (act_ser, act_pwd, act_version, act_date, act_host) values ('$ser','$pwd','full','".time()."','".gethostbyaddr($_SERVER["REMOTE_ADDR"])."')");

switch (substr($ser, 0, 2)) {
  case 99: {
      break;
    } // Szandekosan nincs atallitas
  case 98: {
      break;
    } // Szandekosan nincs atallitas
  case 30: {
      header("Location:http://www.archlinexp.cc/?474&ser=" . $ser);
      exit;
      break;
    } //- gorog
  case 42: {
      break;
    } //- cseh
  case 31: {
      header("Location:http://www.archlinexp.cc/?474&ser=" . $ser);
      exit;
      break;
    } //- holland
  case 43: {
      header("Location:http://www.archlinexp.cc/index.php?id=177&ser=" . $ser);
      exit;
      break;
    }       //- austria
  case 41: {
      header("Location:http://www.archlinexp.cc/index.php?id=177&ser=" . $ser);
      exit;
      break;
    }       //- austria dealer ger: 
  case 49: {
      header("Location:http://www.archlinexp.cc/index.php?id=177&ser=" . $ser);
      exit;
      break;
    }        //- nemet
  case 39: {
      header("Location:http://www.cadlinesw.com/web/servizi/supporto-utenti/richiesta-codici-archline-xp.html/?&ser=" . $ser . "&pwd=" . $pwd);
      exit;
      break;
    } //- olasz
  case 36: //- magyar
    {
      session_start();
      $_SESSION['serial'] = $ser;
      $_SESSION['request'] = $pwd;
      $_SESSION['out'] = '1';
      header("Location: /business/activate/" . $ser . '/' . $pwd);
      exit;
      break;
    }
  case 34: {
      header("Location: http://www.archlinexp.cc/es/servicecenter/ser/" . $ser);
      exit;
      break;
    }        //- spanyol
  case 52: {
      header("Location: http://www.archlinexp.cc/es/servicecenter/ser/" . $ser);
      exit;
      break;
    }        //- mexiko
  case 82: {
      break;
    } //- korea
  case 81: {
      break;
    } //- japan
  default: {
      session_start();
      header("Location: /business/activate/" . $ser . '/' . $pwd);
      exit;
    }
}
